List Push
Retrieve the transactional push notifications your organization has sent, most recent first.
Endpoint
GET /push
Transactional only
Campaign sends are not included. This lists only notifications sent through POST /push/send.
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
limit | number | 20 | Items per page (min: 1, max: 100) |
after | string | — | Cursor — return items after this id (exclusive). |
before | string | — | Cursor — return items before this id (exclusive). |
Results are returned newest first. See Pagination for cursor details.
Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "01957e3a-4b5c-7d8e-9f0a-1b2c3d4e5f6a",
"title": "Your order shipped",
"body": "Order A-1023 is on its way — arriving Thursday.",
"category": "order_update",
"devices_targeted": 2,
"devices_accepted": 2,
"created_at": "2026-09-27T12:00:00.000Z"
}
]
}
Each item has the same fields as Get Push.
Examples
- cURL
- JavaScript
- Python
- C#
- PHP
curl "https://api.arsel.sa/v1/push?limit=50" \
-H "Authorization: Bearer be_your_api_key"
const response = await fetch("https://api.arsel.sa/v1/push?limit=50", {
headers: { Authorization: "Bearer be_your_api_key" },
});
const { data, has_more } = await response.json();
import requests
response = requests.get(
"https://api.arsel.sa/v1/push",
headers={"Authorization": "Bearer be_your_api_key"},
params={"limit": 50},
)
page = response.json()
print(len(page["data"]), page["has_more"])
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer be_your_api_key");
var response = await client.GetAsync("https://api.arsel.sa/v1/push?limit=50");
Console.WriteLine(await response.Content.ReadAsStringAsync());
<?php
$ch = curl_init("https://api.arsel.sa/v1/push?limit=50");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer be_your_api_key"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
echo $response;
curl_close($ch);